## r-cran-sjmisc 2.7.7

=== DESCRIPTION ===
Package: sjmisc
Type: Package
Encoding: UTF-8
Title: Data and Variable Transformation Functions
Version: 2.7.7
Date: 2019-02-01
Authors@R: person("Daniel", "Lüdecke", role = c("aut", "cre"), email = "d.luedecke@uke.de", comment = c(ORCID = "0000-0002-8895-3206"))
Maintainer: Daniel Lüdecke <d.luedecke@uke.de>
Description: Collection of miscellaneous utility functions, supporting data 
    transformation tasks like recoding, dichotomizing or grouping variables, 
    setting and replacing missing values. The data transformation functions 
    also support labelled data, and all integrate seamlessly into a 
    'tidyverse'-workflow.
License: GPL-3
Depends: R (>= 3.2), stats, utils
Imports: broom (>= 0.4.5), crayon, dplyr, haven (>= 1.1.2), magrittr,
        methods, purrr, rlang, sjlabelled (>= 1.0.13), stringdist (>=
        0.9.4), stringr (>= 1.2.0), tidyr
Suggests: ggplot2, graphics, mice, sjPlot, sjstats, knitr, rmarkdown,
        testthat
URL: https://strengejacke.github.io/sjmisc
BugReports: https://github.com/strengejacke/sjmisc/issues
RoxygenNote: 6.1.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-01-02 12:05:08 UTC; Daniel
Author: Daniel Lüdecke [aut, cre] (<https://orcid.org/0000-0002-8895-3206>)
Repository: CRAN
Date/Publication: 2019-01-02 13:20:08 UTC

=== debian/changelog ===
r-cran-sjmisc (2.7.7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Mon, 07 Jan 2019 14:50:19 +0100

r-cran-sjmisc (2.7.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Thu, 22 Nov 2018 07:24:47 +0100

r-cran-sjmisc (2.7.5-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1

 -- Andreas Tille <tille@debian.org>  Fri, 21 Sep 2018 10:52:29 +0200

r-cran-sjmisc (2.7.4-1) unstable; urgency=medium

  * Initial release (closes: #899997)

 -- Andreas Tille <tille@debian.org>  Sun, 09 Sep 2018 22:27:37 +0200

=== debian/control ===
Source: r-cran-sjmisc
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper (>= 11~),
               dh-r,
               r-base-dev,
               r-cran-broom,
               r-cran-crayon,
               r-cran-dplyr,
               r-cran-haven (>= 1.1.2),
               r-cran-magrittr,
               r-cran-purrr,
               r-cran-rlang,
               r-cran-sjlabelled,
               r-cran-stringdist,
               r-cran-stringr (>= 1.2.0),
               r-cran-tidyr
Standards-Version: 4.3.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sjmisc
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sjmisc.git
Homepage: https://cran.r-project.org/package=sjmisc

Package: r-cran-sjmisc
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R data and variable transformation functions
 Collection of miscellaneous utility functions, supporting data
 transformation tasks like recoding, dichotomizing or grouping variables,
 setting and replacing missing values. The data transformation functions
 also support labelled data, and all integrate seamlessly into a
 'tidyverse'-workflow.

## r-cran-sjmisc 2.8.1

=== DESCRIPTION ===
Package: sjmisc
Type: Package
Encoding: UTF-8
Title: Data and Variable Transformation Functions
Version: 2.8.1
Date: 2019-06-17
Authors@R: person("Daniel", "Lüdecke", role = c("aut", "cre"), email = "d.luedecke@uke.de", comment = c(ORCID = "0000-0002-8895-3206"))
Maintainer: Daniel Lüdecke <d.luedecke@uke.de>
Description: Collection of miscellaneous utility functions, supporting data 
    transformation tasks like recoding, dichotomizing or grouping variables, 
    setting and replacing missing values. The data transformation functions 
    also support labelled data, and all integrate seamlessly into a 
    'tidyverse'-workflow.
License: GPL-3
Depends: R (>= 3.2), stats, utils
Imports: dplyr (>= 0.8.0), insight (>= 0.3.0), magrittr, methods,
        purrr, rlang, sjlabelled (>= 1.1.0)
Suggests: ggplot2, graphics, haven (>= 1.1.2), mice, sjPlot, sjstats,
        knitr, rmarkdown, stringdist, testthat, tidyr
URL: https://strengejacke.github.io/sjmisc
BugReports: https://github.com/strengejacke/sjmisc/issues
RoxygenNote: 6.1.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2019-06-17 12:00:30 UTC; mail
Author: Daniel Lüdecke [aut, cre] (<https://orcid.org/0000-0002-8895-3206>)
Repository: CRAN
Date/Publication: 2019-06-17 12:40:03 UTC

=== debian/changelog ===
r-cran-sjmisc (2.8.1-1) unstable; urgency=medium

  * New upstream version
  * debhelper 12
  * dh-update-R to update Build-Depends
  * Standards-Version: 4.4.0
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Wed, 17 Jul 2019 13:10:55 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper (>= 12~),
                dh-r,
                r-base-dev,
-               r-cran-broom,
-               r-cran-crayon,
-               r-cran-dplyr,
-               r-cran-haven (>= 1.1.2),
+               r-cran-dplyr (>= 0.8.0),
                r-cran-magrittr,
                r-cran-purrr,
                r-cran-rlang,
-               r-cran-sjlabelled,
-               r-cran-stringdist,
-               r-cran-stringr (>= 1.2.0),
-               r-cran-tidyr
-Standards-Version: 4.3.0
+               r-cran-sjlabelled (>= 1.1.0)
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sjmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sjmisc.git
 Homepage: https://cran.r-project.org/package=sjmisc

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-mice
Restrictions: allow-stderr

## r-cran-sjmisc 2.8.3

=== DESCRIPTION ===
Package: sjmisc
Type: Package
Encoding: UTF-8
Title: Data and Variable Transformation Functions
Version: 2.8.3
Authors@R: c(person("Daniel", "Lüdecke", role = c("aut", "cre"), email = "d.luedecke@uke.de", comment = c(ORCID = "0000-0002-8895-3206")),
    person("Iago", "Giné-Vázquez", role = c("ctb"), email = "i.gine@pssjd.org"),
    person("Alexander", "Bartel", role = "ctb", email = "alexander.bartel@fu-berlin.de", comment = c(ORCID = "0000-0002-1280-6138")))
Maintainer: Daniel Lüdecke <d.luedecke@uke.de>
Description: Collection of miscellaneous utility functions, supporting data 
    transformation tasks like recoding, dichotomizing or grouping variables, 
    setting and replacing missing values. The data transformation functions 
    also support labelled data, and all integrate seamlessly into a 
    'tidyverse'-workflow.
License: GPL-3
Depends: R (>= 3.2)
Imports: dplyr (>= 0.8.0), insight (>= 0.6.0), magrittr, methods,
        purrr, rlang, sjlabelled (>= 1.1.1), stats, tidyselect (>=
        0.2.5), utils
Suggests: ggplot2, graphics, haven (>= 2.0.0), mice, sjPlot, sjstats,
        knitr, rmarkdown, stringdist, testthat, tidyr
URL: https://strengejacke.github.io/sjmisc
BugReports: https://github.com/strengejacke/sjmisc/issues
RoxygenNote: 7.0.2
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2020-01-08 18:50:48 UTC; Daniel
Author: Daniel Lüdecke [aut, cre] (<https://orcid.org/0000-0002-8895-3206>),
  Iago Giné-Vázquez [ctb],
  Alexander Bartel [ctb] (<https://orcid.org/0000-0002-1280-6138>)
Repository: CRAN
Date/Publication: 2020-01-10 05:30:14 UTC

=== debian/changelog ===
r-cran-sjmisc (2.8.3-2) unstable; urgency=medium

  * Team Upload.
  * Update test dependencies
  * Add "Rules-Requires-Root:no"
  * Update upstream/metadata
  * Bump standards version to 4.5.0

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 07 Mar 2020 10:22:47 +0530

r-cran-sjmisc (2.8.3-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Submit.

 -- Andreas Tille <tille@debian.org>  Tue, 14 Jan 2020 12:05:40 +0100

r-cran-sjmisc (2.8.2-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * dh-update-R to update Build-Depends
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database.

 -- Andreas Tille <tille@debian.org>  Tue, 01 Oct 2019 11:07:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,21 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 12~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
                r-cran-dplyr (>= 0.8.0),
+               r-cran-insight,
                r-cran-magrittr,
                r-cran-purrr,
                r-cran-rlang,
-               r-cran-sjlabelled (>= 1.1.0)
-Standards-Version: 4.4.0
+               r-cran-sjlabelled (>= 1.1.1),
+               r-cran-tidyselect
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sjmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sjmisc.git
 Homepage: https://cran.r-project.org/package=sjmisc
+Rules-Requires-Root: no
 
 Package: r-cran-sjmisc
 Architecture: all

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-mice, r-cran-nnet
Restrictions: allow-stderr

## r-cran-sjmisc 2.8.5

=== debian/changelog ===
r-cran-sjmisc (2.8.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Dylan Aïssi <daissi@debian.org>  Sat, 06 Jun 2020 08:00:28 +0200

r-cran-sjmisc (2.8.4-3) unstable; urgency=medium

  * Team Upload.
  * Update Test Depends (Closes: #961499)
  * Bump debhelper-compat version to 13

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 26 May 2020 10:57:37 +0530

r-cran-sjmisc (2.8.4-2) unstable; urgency=medium

  * Source upload in R 4.0 transition

 -- Andreas Tille <tille@debian.org>  Tue, 19 May 2020 13:35:35 +0200

r-cran-sjmisc (2.8.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Add salsa-ci file (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 05 Apr 2020 18:29:34 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-dplyr (>= 0.8.0),

## r-cran-sjmisc 2.8.6

=== DESCRIPTION ===
Package: sjmisc
Type: Package
Encoding: UTF-8
Title: Data and Variable Transformation Functions
Version: 2.8.6
Authors@R: c(person("Daniel", "Lüdecke", role = c("aut", "cre"), email = "d.luedecke@uke.de", comment = c(ORCID = "0000-0002-8895-3206")),
    person("Iago", "Giné-Vázquez", role = c("ctb"), email = "i.gine@pssjd.org"),
    person("Alexander", "Bartel", role = "ctb", email = "alexander.bartel@fu-berlin.de", comment = c(ORCID = "0000-0002-1280-6138")))
Maintainer: Daniel Lüdecke <d.luedecke@uke.de>
Description: Collection of miscellaneous utility functions, supporting data 
    transformation tasks like recoding, dichotomizing or grouping variables, 
    setting and replacing missing values. The data transformation functions 
    also support labelled data, and all integrate seamlessly into a 
    'tidyverse'-workflow.
License: GPL-3
Depends: R (>= 3.5)
Imports: dplyr, insight, magrittr, methods, purrr, rlang, sjlabelled
        (>= 1.1.1), stats, tidyselect, utils
Suggests: ggplot2, graphics, haven (>= 2.0.0), mice, sjPlot, sjstats,
        knitr, rmarkdown, stringdist, testthat, tidyr
URL: https://strengejacke.github.io/sjmisc/
BugReports: https://github.com/strengejacke/sjmisc/issues
RoxygenNote: 7.1.1
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2021-01-07 07:32:36 UTC; Daniel
Author: Daniel Lüdecke [aut, cre] (<https://orcid.org/0000-0002-8895-3206>),
  Iago Giné-Vázquez [ctb],
  Alexander Bartel [ctb] (<https://orcid.org/0000-0002-1280-6138>)
Repository: CRAN
Date/Publication: 2021-01-07 14:00:02 UTC

=== debian/changelog ===
r-cran-sjmisc (2.8.6-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 17:41:46 +0100

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-dplyr (>= 0.8.0),
+               r-cran-dplyr,
                r-cran-insight,
                r-cran-magrittr,
                r-cran-purrr,
                r-cran-rlang,
                r-cran-sjlabelled (>= 1.1.1),
                r-cran-tidyselect
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sjmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sjmisc.git
 Homepage: https://cran.r-project.org/package=sjmisc

## r-cran-sjmisc 2.8.9

=== DESCRIPTION ===
Package: sjmisc
Type: Package
Encoding: UTF-8
Title: Data and Variable Transformation Functions
Version: 2.8.9
Authors@R: c(person("Daniel", "Lüdecke", role = c("aut", "cre"), email = "d.luedecke@uke.de", comment = c(ORCID = "0000-0002-8895-3206")),
    person("Iago", "Giné-Vázquez", role = c("ctb"), email = "i.gine@pssjd.org"),
    person("Alexander", "Bartel", role = "ctb", email = "alexander.bartel@fu-berlin.de", comment = c(ORCID = "0000-0002-1280-6138")))
Maintainer: Daniel Lüdecke <d.luedecke@uke.de>
Description: Collection of miscellaneous utility functions, supporting data 
    transformation tasks like recoding, dichotomizing or grouping variables, 
    setting and replacing missing values. The data transformation functions 
    also support labelled data, and all integrate seamlessly into a 
    'tidyverse'-workflow.
License: GPL-3
Depends: R (>= 3.4)
Imports: dplyr, insight, magrittr, methods, purrr, rlang, sjlabelled
        (>= 1.1.1), stats, tidyselect, utils
Suggests: ggplot2, graphics, haven (>= 2.0.0), mice, nnet, sjPlot,
        sjstats, knitr, rmarkdown, stringdist, testthat, tidyr
URL: https://strengejacke.github.io/sjmisc/
BugReports: https://github.com/strengejacke/sjmisc/issues
RoxygenNote: 7.1.2
VignetteBuilder: knitr
NeedsCompilation: no
Packaged: 2021-12-02 08:57:05 UTC; Daniel
Author: Daniel Lüdecke [aut, cre] (<https://orcid.org/0000-0002-8895-3206>),
  Iago Giné-Vázquez [ctb],
  Alexander Bartel [ctb] (<https://orcid.org/0000-0002-1280-6138>)
Repository: CRAN
Date/Publication: 2021-12-03 10:40:02 UTC

=== debian/changelog ===
r-cran-sjmisc (2.8.9-2) unstable; urgency=medium

  * Rebuild with r-graphics-engine set by r-base
    Closes: 1039662
  * Standards-Version: 4.6.2 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 11:00:40 +0200

r-cran-sjmisc (2.8.9-1) unstable; urgency=medium

  * Disable reprotest
  * New upstream version
  * dh-update-R to update Build-Depends (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-sjlabelled.

 -- Andreas Tille <tille@debian.org>  Fri, 10 Dec 2021 11:42:35 +0100

r-cran-sjmisc (2.8.7-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on r-cran-sjlabelled.

 -- Andreas Tille <tille@debian.org>  Fri, 20 Aug 2021 10:09:07 +0200

=== debian/control ===
--- 
+++ 
@@ -12,9 +12,9 @@
                r-cran-magrittr,
                r-cran-purrr,
                r-cran-rlang,
-               r-cran-sjlabelled (>= 1.1.1),
+               r-cran-sjlabelled,
                r-cran-tidyselect
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sjmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sjmisc.git
 Homepage: https://cran.r-project.org/package=sjmisc

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/sjmisc_([-\d.]*)\.tar\.gz

## r-cran-sjmisc 2.8.10

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Encoding: UTF-8
 Title: Data and Variable Transformation Functions
-Version: 2.8.9
+Version: 2.8.10
 Authors@R: c(person("Daniel", "Lüdecke", role = c("aut", "cre"), email = "d.luedecke@uke.de", comment = c(ORCID = "0000-0002-8895-3206")),
     person("Iago", "Giné-Vázquez", role = c("ctb"), email = "i.gine@pssjd.org"),
     person("Alexander", "Bartel", role = "ctb", email = "alexander.bartel@fu-berlin.de", comment = c(ORCID = "0000-0002-1280-6138")))
@@ -14,18 +14,18 @@
     'tidyverse'-workflow.
 License: GPL-3
 Depends: R (>= 3.4)
-Imports: dplyr, insight, magrittr, methods, purrr, rlang, sjlabelled
-        (>= 1.1.1), stats, tidyselect, utils
+Imports: dplyr, insight, datawizard, magrittr, methods, purrr, rlang,
+        sjlabelled (>= 1.1.1), stats, tidyselect, utils
 Suggests: ggplot2, graphics, haven (>= 2.0.0), mice, nnet, sjPlot,
         sjstats, knitr, rmarkdown, stringdist, testthat, tidyr
 URL: https://strengejacke.github.io/sjmisc/
 BugReports: https://github.com/strengejacke/sjmisc/issues
-RoxygenNote: 7.1.2
+RoxygenNote: 7.3.1
 VignetteBuilder: knitr
 NeedsCompilation: no
-Packaged: 2021-12-02 08:57:05 UTC; Daniel
+Packaged: 2024-05-13 13:03:33 UTC; mail
 Author: Daniel Lüdecke [aut, cre] (<https://orcid.org/0000-0002-8895-3206>),
   Iago Giné-Vázquez [ctb],
   Alexander Bartel [ctb] (<https://orcid.org/0000-0002-1280-6138>)
 Repository: CRAN
-Date/Publication: 2021-12-03 10:40:02 UTC
+Date/Publication: 2024-05-13 13:50:02 UTC

=== debian/changelog ===
r-cran-sjmisc (2.8.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Wed, 03 Jul 2024 09:10:21 +0900

=== debian/control ===
--- 
+++ 
@@ -9,12 +9,13 @@
                r-base-dev,
                r-cran-dplyr,
                r-cran-insight,
+               r-cran-datawizard,
                r-cran-magrittr,
                r-cran-purrr,
                r-cran-rlang,
                r-cran-sjlabelled,
                r-cran-tidyselect
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sjmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sjmisc.git
 Homepage: https://cran.r-project.org/package=sjmisc

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-ggplot2,
        r-cran-haven (>= 2.0.0),
        r-cran-mice,
        r-cran-nnet,
        r-cran-sjplot,
        r-cran-sjstats,
        r-cran-knitr,
        r-cran-rmarkdown,
        r-cran-stringdist,
        r-cran-testthat,
        r-cran-tidyr
Restrictions: allow-stderr

## r-cran-sjmisc 2.8.11

=== debian/changelog ===
r-cran-sjmisc (2.8.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 09 Jan 2026 17:26:56 +0900

=== debian/control ===
--- 
+++ 
@@ -14,8 +14,10 @@
                r-cran-purrr,
                r-cran-rlang,
                r-cran-sjlabelled,
-               r-cran-tidyselect
-Standards-Version: 4.7.0
+               r-cran-tidyselect,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-sjmisc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-sjmisc.git
 Homepage: https://cran.r-project.org/package=sjmisc
